package com.mortals.xhx.module.basics.web;

import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.basics.model.BasicsEntity;
import com.mortals.xhx.module.basics.model.BasicsQuery;

/**
* <p>Title: 一件事基础表</p>
* <p>Description: BasicsForm  </p>
* @author
* @version 1.0.0
*/
public class BasicsForm extends BaseCRUDFormLong<BasicsEntity> {
    private BasicsEntity entity = new BasicsEntity();
    private BasicsQuery query = new BasicsQuery();
    public BasicsForm(){

    }

    @Override
    public BasicsEntity getEntity() {
    return entity;
    }

    public void setBasics(BasicsEntity entity) {
    this.entity = entity;
    }

    @Override
    public BasicsQuery getQuery() {
    return query;
    }

    public void setQuery(BasicsQuery query) {
    this.query = query;
    }
}